summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/tests/linux-info_get_running_version.sh
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/tests/linux-info_get_running_version.sh')
-rwxr-xr-xeclass/tests/linux-info_get_running_version.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/eclass/tests/linux-info_get_running_version.sh b/eclass/tests/linux-info_get_running_version.sh
new file mode 100755
index 000000000000..d5b36a5d8902
--- /dev/null
+++ b/eclass/tests/linux-info_get_running_version.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+source tests-common.sh
+
+inherit linux-info
+
+test_get_running_version() {
+ local test_kv=$1 major=$2 minor=$3 patch=$4 extra=$5
+ tbegin "get_running_version ${test_kv}"
+ uname() { echo "${test_kv}" ; }
+ ROOT=/:/:/:/: get_running_version
+ local r=$?
+ [[ ${r} -eq 0 &&
+ ${major} == "${KV_MAJOR}" &&
+ ${minor} == "${KV_MINOR}" &&
+ ${patch} == "${KV_PATCH}" &&
+ ${extra} == "${KV_EXTRA}" ]]
+ tend $? "FAIL: {ret: ${r}==0} {major: ${major}==${KV_MAJOR}} {minor: ${minor}==${KV_MINOR}} {patch: ${patch}==${KV_PATCH}} {extra: ${extra}==${KV_EXTRA}}"
+}
+
+tests=(
+ # KV_FULL MAJOR MINOR PATCH EXTRA
+ 1.2.3 1 2 3 ''
+ 1.2.3.4 1 2 3 .4
+ 1.2.3-ver+1.4 1 2 3 -ver+1.4
+ 1.2-kern.3 1 2 0 -kern.3
+ 1.2+kern.5 1 2 0 +kern.5
+ 1.2.3_blah 1 2 3 _blah
+ 3.2.1-zen-vs2.3.2.5+ 3 2 1 -zen-vs2.3.2.5+
+)
+
+for (( i = 0; i < ${#tests[@]}; i += 5 )) ; do
+ test_get_running_version "${tests[@]:i:5}"
+done
+
+texit